package quotes;

/**
 * @author delpiano
 *
 * A Channel is the vehicle of informations in the system :
 * it is a software bus, local or distributed, depending on the implementation.
 */
public interface Channel {
	
	/**
	 * Used to by a given <code>source</code> to publish a <code>message</code> on the channel.
	 * @param source the emitter of the message.
	 * @param message the emitted message.
	 */
	void publish(Object source , Object message);

}
