package test;

import javax.swing.JFrame;

import org.objectweb.kilim.model.Component;
import org.objectweb.kilim.model.ComponentInterface;

import org.objectweb.kilim.InternalException;
import org.objectweb.kilim.helpers.KilimHelper;

/**
 * @author delpiano
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class Launcher {

   /** Launches the application.
    * @param args nothing is needed here.
    */
   public static void main(String[] args) {
      
      if (args.length < 1) {
	 System.out.println("Syntax : java Launcher template_name");
	 System.exit(-1);
      }

      String template_name = args[0];

      try {

	 Component compo = KilimHelper.newComponent(template_name , Launcher.class);
	 ComponentInterface interf = compo.getInterface("console");
	 Object res = interf.getValue();
			
	 if (res instanceof JFrame) {
	    JFrame frm = (JFrame) res;
	    frm.pack();
	    frm.setVisible(true);
	 } else {
	    System.out.println("The provided template \""+ template_name +"\" is probably not a Kilim2Tutorial template !");
	 }
		
      } catch (Throwable ex) { 
	 ex.printStackTrace();
	 throw new InternalException(ex);
      }
   }


}
